Bug 430563 - system monitor: Pressing Escape with an open Load preset popup closes the whole dialog
Summary: system monitor: Pressing Escape with an open Load preset popup closes the who...
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Plasma
Component: System Monitor (show other bugs)
Version: 5.20.4
Platform: Archlinux Linux
: NOR normal
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2020-12-19 02:09 UTC by Frank Steinmetzger
Modified: 2021-03-25 18:20 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.22


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Steinmetzger 2020-12-19 02:09:20 UTC
In the Appearance tab of the System Monitor applet, there is a button called "Load preset ...". Clicking it opens what looks like a popup menu, only it uses some other GUI library, because it looks different. Not only that, it also behaves differently, in that it is not treated like an actual menu.

If I decide not to load a preset, it is common habit to press Escape in order to close a menu. But in this case, this closes the whole dialog.

My Plasma version is 5.20.4
Comment 1 Bug Janitor Service 2021-02-25 17:08:11 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/kirigami/-/merge_requests/244
Comment 2 Bug Janitor Service 2021-03-24 18:20:48 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/libksysguard/-/merge_requests/141
Comment 3 David Edmundson 2021-03-25 14:21:47 UTC
Git commit 66882a03d04ac9ef4fb8e30459e5696bf5720d99 by David Edmundson.
Committed on 25/03/2021 at 14:21.
Pushed by davidedmundson into branch 'master'.

Fix keyboard handling of preset selection

The view did not have focus correctly, due in part to this and a
kirigami issue.

We also want to prevent the plasma dialog from closing when escape is
pressed. Ideally we would have a magic solution in OverlaySheet, but
after we fixed focus it is impossible to do nicely.

shortcutOverride is only invoked on the item with real active focus, not
any parents.

M  +9    -0    faces/ConfigAppearance.qml

https://invent.kde.org/plasma/libksysguard/commit/66882a03d04ac9ef4fb8e30459e5696bf5720d99